<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLString.php" );
include_once("auth.php");

db_connect($db_host, $db_user, $db_pass);

$id = safe_query( "select standardip from admin", TRUE );
$werte = db_fetch_array($id);
$stdip = $werte["standardip"];

## alte ips in array schreiben
$id = safe_query( "select ip from ipadressen", TRUE );
while ($werte = db_fetch_array($id))
	{
	 $alteips[] = $werte["ip"];
	}
## /alte ips in array schreiben

## herausfinden welche ip-adressen neu hinzukommen

	for ($i = 0;$i < count($neueips);$i++)	{
	$neu = "ja";
		for ($n = 0;$n < count($alteips);$n++)	{
		if ($alteips[$n] == trim($neueips[$i])) { $neu = "nein"; }
		}
	if ($neu == "ja") { $ipsanlegen[] = trim($neueips[$i]); }
	}

## //

## herausfinden welche ips gelöscht werden

	for ($i = 0;$i < count($alteips);$i++)	{
	$del = "ja";
		for ($n = 0;$n < count($neueips);$n++)	{
		if ($alteips[$i] == trim($neueips[$n])) { $del = "nein"; }
		}
	if ($del == "ja") { $ipsloeschen[] = $alteips[$i]; }
	}

## //

$fehlertext = ltext("eiipau2_error1");

## ips löschen
for ($i = 0;$i < count($ipsloeschen);$i++)
	{
	 $ip = $ipsloeschen[$i];
	 $id = safe_query( "select * from ipadressen where ip = ? ", TRUE, new SQLString( $ip ) );
	 $werte = db_fetch_array($id);
	 $kunde = $werte["kunde"];
	 $anbieter = $werte["anbieter"];
	 if (istleer($kunde))
		{
		 safe_query( "delete from ipadressen where ip = ? ", TRUE, new SQLString($ip) );
		 $fehlertext .= ltext("eiipau2_error2", array($ip));
		 if (!istleer($anbieter))
			{
			 $fehlertext .= ltext("eiipau2_error3",array($anbieter));
			} else
			{
			 $fehlertext .= ".<br>";
			}
		} else
		{
		 $fehlertext .= ltext("eiipau2_error4",array($ip,$kunde));
		}
	}
## /ips löschen


## ips anlegen

for ($i = 0;$i < count($ipsanlegen); $i++)
	{
	 $ip = $ipsanlegen[$i];
	 if ((!ereg("([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})", $ip)) || ($ip == $stdip))
		{
		 $fehlertext .= ltext("eiipau2_error5",array($ip));
		} else
		{
		 safe_query( "insert into ipadressen (ip, anbieter, kunde) VALUES (  ? ,  '',  '' )", TRUE, new SQLString( $ip ) );
		 $fehlertext .= ltext("eiipau2_error6",array($ip));
		}
	}
## /ips anlegen

$neueips = "";
$fehlertitel = ltext("eiipau2_errortitle");
db_close();
include("einstellungen_ip.php");
exit();
?>
